# BEGIN SourceDeps(oneline):
BuildRequires: gcc-c++
# END SourceDeps(oneline)
%global packname  GeneR
%global Rversion  2.11.0

Name:             R-%{packname}
Version:          2.24.0
Release:          alt1_5
Summary:          R for genes and sequences analysis

Group:            Engineering
License:          CeCILL
URL:              http://bioconductor.org/packages/release/bioc/html/%{packname}.html
Source0:          http://bioconductor.org/packages/release/bioc/src/contrib/%{packname}_%{version}.tar.gz
#Patch0:           %%{name}-gcc44.patch
# Has been sent to daubenton [AT] cgm.cnrs-gif [DOT] fr on 2009/04/22 -- by Milos
# Seems to have been incoporated upstream on 2010/07/05 -- pingou


Requires:         R-base >= %{Rversion}
BuildRequires:    R-devel >= %{Rversion} /usr/bin/latex texlive-latex-recommended
Source44: import.info

%description
Package manipulating nucleotidic sequences (Embl, Fasta, GenBank).

%prep
%setup -q -c -n %{packname}
#%%patch0

%build

%install


#i368 arch
mkdir -p %{buildroot}%{_libdir}/R/library 
R CMD INSTALL %{packname} -l %{buildroot}%{_libdir}/R/library
# Clean up in advance of check
test -d %{packname}/src && (cd %{packname}/src; rm -f *.o *.so)
rm -rf %{buildroot}%{_libdir}/R/library/R.css

%check
# This can not be run under koji because the GeneR-Ex.R file tries to get data from the web which is not allowed by koji:
#** output from the script
# ------ Get some data from the web !! -------
#> seqNcbi("BY608190",file='toto.fa')
#trying URL 'http://www.ncbi.nlm.nih.gov/entrez/viewer.fcgi?db=nucleotide&qty=1&c_start=1&send=Send&sendto=t&from=begin&to=end&extrafeatpresent=1&ef_MGC=16&dopt=fasta&list_uids=BY608190'
#Warning in download.file(urldemande, destfile = file) :
#  unable to resolve 'www.ncbi.nlm.nih.gov'
#Error in download.file(urldemande, destfile = file) : 
#  cannot open URL 'http://www.ncbi.nlm.nih.gov/entrez/viewer.fcgi?db=nucleotide&qty=1&c_start=1&send=Send&sendto=t&from=begin&to=end&extrafeatpresent=1&ef_MGC=16&dopt=fasta&list_uids=BY608190'
#Calls: demo ... eval.with.vis -> eval.with.vis -> seqNcbi -> download.file
#Execution halted
#**********************************

#%%{_bindir}/R CMD check %%{packname}

%files
#i386 arch
%dir %{_libdir}/R/library/%{packname}
%doc %{_libdir}/R/library/%{packname}/doc
%doc %{_libdir}/R/library/%{packname}/html
%doc %{_libdir}/R/library/%{packname}/DESCRIPTION
%{_libdir}/R/library/%{packname}/INDEX
%{_libdir}/R/library/%{packname}/NAMESPACE
%{_libdir}/R/library/%{packname}/Meta
%{_libdir}/R/library/%{packname}/R
%{_libdir}/R/library/%{packname}/help
%{_libdir}/R/library/%{packname}/demo
%{_libdir}/R/library/%{packname}/libs

%changelog
* Thu May 02 2013 Igor Vlasenko <viy@altlinux.ru> 2.24.0-alt1_5
- initial fc import

